<template>
  <component :is="iconComp" class="fill-current" />
</template>

<script>
import path from 'path';

export default {
  name: 'SvgIcon',
  props: {
    icon: { type: String, required: true },
  },
  computed: {
    iconComp() {
      const iconFile = path.basename(this.icon);
      return () =>
        import(
          /* webpackInclude: /-icon\.svg$/ */
          `../../../static/media/${iconFile}`
        );
    },
  },
};
</script>
